.marquee-wrapper-efe3e0f0 {
    display: flex;
    overflow: hidden;
    width: 100%;
    position: relative;
    white-space: nowrap;
}

.marquee-track-efe3e0f0 {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    gap: 20px; /* Overriden by controls */
    padding-right: 20px; /* Ensure gap between duplicated tracks. Overriden by controls */
}

.marquee-track-efe3e0f0.marquee-left {
    animation: scroll-left-efe3e0f0 linear infinite;
}

.marquee-track-efe3e0f0.marquee-right {
    animation: scroll-right-efe3e0f0 linear infinite;
}

/* Ensure pause on hover ONLY works when the class is present */
.marquee-wrapper-efe3e0f0.pause-on-hover:hover .marquee-track-efe3e0f0 {
    animation-play-state: paused !important;
}

.marquee-item-efe3e0f0 {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.marquee-dynamic-img-efe3e0f0 {
    width: var(--start-width, 50%);
    object-fit: cover;
    object-position: center center;
    transition: width 0.4s ease;
    height: auto;
    max-height: 400px;
}

.marquee-item-efe3e0f0:hover .marquee-dynamic-img-efe3e0f0 {
    width: var(--end-width, 100%);
}

.marquee-content-efe3e0f0 {
    white-space: normal;
    min-width: 250px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.marquee-content-efe3e0f0.align-center {
    text-align: center;
    align-items: center;
}

.marquee-content-efe3e0f0.align-right {
    text-align: right;
    align-items: flex-end;
}

.marquee-content-efe3e0f0.align-left {
    text-align: left;
    align-items: flex-start;
}

.marquee-content-title-efe3e0f0 {
    margin: 0;
    padding: 0;
}

.marquee-content-desc-efe3e0f0 {
    margin: 0;
    padding: 0;
}

.marquee-content-button-wrapper-efe3e0f0 {
    margin-top: 10px;
}

a.marquee-content-link-efe3e0f0, 
a.marquee-image-link-efe3e0f0 {
    text-decoration: none;
    color: inherit;
    transition: color 0.3s ease;
}

@keyframes scroll-left-efe3e0f0 {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}

@keyframes scroll-right-efe3e0f0 {
    0% { transform: translateX(-100%); }
    100% { transform: translateX(0); }
}
